[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[SCM] GNU Inetutils branch, master, updated. inetutils-1_6-100-gfa90ce4
From: |
Simon Josefsson |
Subject: |
[SCM] GNU Inetutils branch, master, updated. inetutils-1_6-100-gfa90ce4 |
Date: |
Mon, 16 Nov 2009 11:05:35 +0000 |
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU Inetutils ".
The branch, master has been updated
via fa90ce485a5ff1193473eafd2232716ba50c5cbe (commit)
from 50ec75e55a23457ff607d56a311686afac06a044 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/inetutils.git/commit/?id=fa90ce485a5ff1193473eafd2232716ba50c5cbe
commit fa90ce485a5ff1193473eafd2232716ba50c5cbe
Author: Simon Josefsson <address@hidden>
Date: Mon Nov 16 12:05:31 2009 +0100
Fix ping/traceroute self-tests.
diff --git a/ChangeLog b/ChangeLog
index 5460065..cd986cf 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,5 +1,12 @@
2009-11-16 Simon Josefsson <address@hidden>
+ * tests/ping-localhost.sh: Call the right executable. Support
+ EXEEXT. Fix license header.
+ * tests/traceroute-localhost.sh: Likewise.
+ * tests/Makefile.am: Set EXEEXT, for Windows builds.
+
+2009-11-16 Simon Josefsson <address@hidden>
+
* configure.ac: Don't call AB_INIT here too, it is already invoked
via gnulib. Reported by Alfred M. Szmidt <address@hidden>.
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 4adf3f0..1813a98 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -22,3 +22,5 @@ LDADD = -L../libinetutils -linetutils
check_PROGRAMS = localhost
TESTS = $(check_PROGRAMS) ping-localhost.sh traceroute-localhost.sh
+
+TESTS_ENVIRONMENT = EXEEXT=$(EXEEXT)
diff --git a/tests/ping-localhost.sh b/tests/ping-localhost.sh
index 4be2a02..a53b3a7 100755
--- a/tests/ping-localhost.sh
+++ b/tests/ping-localhost.sh
@@ -1,8 +1,27 @@
#!/bin/sh
+# Copyright (C) 2009 Free Software Foundation, Inc.
+#
+# This file is part of GNU Inetutils.
+#
+# GNU Inetutils is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or (at
+# your option) any later version.
+#
+# GNU Inetutils is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see `http://www.gnu.org/licenses/'.
+
+PING=${PING:-../ping/ping$EXEEXT}
+
if [ $VERBOSE ]; then
set -x
- ping --version
+ $PING --version
fi
if [ `id -u` != 0 ]; then
@@ -10,6 +29,6 @@ if [ `id -u` != 0 ]; then
exit 77
fi
-ping -c 1 127.0.0.1; errno=$?
+$PING -c 1 127.0.0.1; errno=$?
exit $errno
diff --git a/tests/traceroute-localhost.sh b/tests/traceroute-localhost.sh
index 79f2cc6..46599aa 100755
--- a/tests/traceroute-localhost.sh
+++ b/tests/traceroute-localhost.sh
@@ -1,8 +1,27 @@
#!/bin/sh
+# Copyright (C) 2009 Free Software Foundation, Inc.
+#
+# This file is part of GNU Inetutils.
+#
+# GNU Inetutils is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or (at
+# your option) any later version.
+#
+# GNU Inetutils is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see `http://www.gnu.org/licenses/'.
+
+TRACEROUTE=${TRACEROUTE:-../traceroute/traceroute$EXEEXT}
+
if [ $VERBOSE ]; then
set -x
- traceroute --version
+ $TRACEROUTE --version
fi
if [ `id -u` != 0 ]; then
@@ -10,6 +29,6 @@ if [ `id -u` != 0 ]; then
exit 77
fi
-traceroute 127.0.0.1; errno=$?
+$TRACEROUTE 127.0.0.1; errno=$?
exit $errno
-----------------------------------------------------------------------
Summary of changes:
ChangeLog | 7 +++++++
tests/Makefile.am | 2 ++
tests/ping-localhost.sh | 23 +++++++++++++++++++++--
tests/traceroute-localhost.sh | 23 +++++++++++++++++++++--
4 files changed, 51 insertions(+), 4 deletions(-)
hooks/post-receive
--
GNU Inetutils
[Prev in Thread] |
Current Thread |
[Next in Thread] |
- [SCM] GNU Inetutils branch, master, updated. inetutils-1_6-100-gfa90ce4,
Simon Josefsson <=